// 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикли потрібні нам, щоб не писати один і той самий код багато разів, во ни дають можливість виконувати код багато разів.

// 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// for використовується коли є більш складна задача, коли потрібно прописати ініціалізацію, умову, ітерацію.
// while коли є тільки умова, яка перевіряється перед ітерацією.
// do while коли потрібно перевірити умову після ітерації

// 3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
// явне перетворення це коли ми навмисно змінюємо тип данних, неявне коли JS сам автоматично змінює.

// 4. Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.

let number = +prompt("Введи число будь ласка");
let hasNumber = false;
for (let i = 1; i <= number; i++) {
  if (i % 5 === 0) {
    console.log(i);
    hasNumber = true;
  }
}
if (!hasNumber) {
  alert("Sorry, no numbers");
}
